package org.springblade.flow.visual.onlinedev.common.enums;

/**
 * 数据库类型，数据集适配原有自带的
 * 
 * @author william
 * @date 2022年8月19日 下午3:09:50
 */
public enum DsType {
	MySQL(0, "MySQL"), //
	Oracle(1, "Oracle"), //
	SqlServer(2, "SqlServer"), //
	Postgresql(3, "Postgresql"), //
	Clickhouse(4, "Clickhouse"); //

	private Integer value;
	private String name;

	private DsType(Integer value, String name) {
		this.value = value;
		this.name = name;
	}

	public Integer getValue() {
		return value;
	}

	public void setValue(Integer value) {
		this.value = value;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public static DsType reslove(Integer value) {
		DsType[] values = DsType.values();
		for (DsType val : values) {
			if (value != null && val.getValue().intValue() == value) {
				return val;
			}
		}
		return null;
	}
}
